<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/HTML/Formatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.HTML.Formatter</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">package <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../HTML.html" >HTML</a>
</div><div class="class-name">class Formatter

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/HTML/__init__.py.html" target="detail">../Synopsis/Formatters/HTML/__init__.py</a></div> <div class="xref"><a href="../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.HTML.Formatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line81" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Formatter-inheritance" src="Formatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Formatter-inheritance_map" />
<map name="Formatter-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="title">title</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line83" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="stylesheet">stylesheet</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line84" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="directory_layout">directory_layout</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line85" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="toc_in">toc_in</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line86" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="toc_out">toc_out</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line87" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="sxr_prefix">sxr_prefix</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line88" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="index">index</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line90" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="detail">detail</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line91" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="content">content</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line92" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="markup_formatters">markup_formatters</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line101" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="graph_color">graph_color</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line105" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.HTML.Formatter.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line107" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#has_view" >has_view</a></span>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.HTML.Formatter.has_view" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line179" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">test whether the given view is part of the views list.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#register_filename" >register_filename</a></span>(<span class="variable">self</span>, <span class="variable">filename</span>, <span class="variable">view</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.HTML.Formatter.register_filename" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line184" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers a file for later production.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#filename_info" >filename_info</a></span>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.HTML.Formatter.filename_info" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line192" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns information about a registered file&#44; as a &#40;view&#44;scope&#41;
        pair.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="has_view">has_view</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.HTML.Formatter.has_view" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line179" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">test whether the given view is part of the views list.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register_filename">register_filename</a>(<span class="variable">self</span>, <span class="variable">filename</span>, <span class="variable">view</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.HTML.Formatter.register_filename" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line184" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers a file for later production. The first view to register
        the filename gets to keep it.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename_info">filename_info</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.HTML.Formatter.filename_info" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/__init__.py.html#line192" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns information about a registered file&#44; as a &#40;view&#44;scope&#41;
        pair. Will return None if the filename isn't registered.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
